## NAME

g.version - Displays GRASS version info.
Optionally also prints build or copyright information.

## KEYWORDS

general, support, citing, copyright, version, license

## SYNOPSIS

g.version
g.version --help
g.version [-cxbreg] [format=name] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Print also the copyright message
-x
  Print also the citation options
-b
  Print also the build information
-r
  Print also the GIS library revision number and date
-e
  Print also extended info for additional libraries
  GDAL/OGR, PROJ, GEOS
-g
  Print info in shell script style (including Git reference commit) [deprecated]
  This flag is deprecated and will be removed in a future release. Use format=shell instead.
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

format=name
  Output format
  Options: plain, shell, json
  Default: plain
  plain: Human readable text output
  shell: shell script style text output
  json: JSON (JavaScript Object Notation)

## DESCRIPTION

g.version prints to standard output the GRASS version number, date, the GRASS copyright (-c flag), and GRASS build information (-b flag).

## NOTES

This program requires no command line arguments; the user simply types g.version on the command line to see the version number and date of the GRASS software currently being run by the user.

Information about GRASS core GIS Library can be printed by -r flag.

Version numbers of additional libraries like PROJ, GDAL/OGR or GEOS are printed by -e flag.

See also function `version()` from Python Scripting Library.

    import grass.script as gcore

    print gcore.version()

## EXAMPLES

### Basic info

    g.version

    GRASS 8.4.0 (2024)

### GIS Library info

    g.version -r

    GRASS 8.4.0 (2024)
    libgis revision: c9e8576cf
    libgis date: 2024-04-27T09:38:49+00:00

### Full info in shell script style

    g.version -rge

    version=8.4.0
    date=2024
    revision=d57f40906
    build_date=2024-05-23
    build_platform=x86_64-pc-linux-gnu
    build_off_t_size=8
    libgis_revision=c9e8576cf
    libgis_date=2024-04-27T09:38:49+00:00
    proj=8.2.1
    gdal=3.4.3
    geos=3.9.2
    sqlite=3.36.0

Note: if `revision=exported` is reported instead of the git hash then the `git` program was not available during compilation of GRASS and the source code did not contain the `.git/` subdirectory (requires e.g. to `git clone` the GRASS software repository.)

## Citing GRASS

The GRASS Development Team has invested significant time and effort in creating GRASS, please cite it when using it for data analysis. The GRASS Web site offers citations in different styles.

## AUTHORS

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Extended info by Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: g.version source code (history)

Latest change: Monday Dec 08 21:47:55 2025 in commit: d3c6479bef77a58e3b5d85259303dbfb9c1babe8

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual